Subject: bug#74731: guix/cpu should parse /sys/devices/system/cpu/modalias

From: Ludovic Courtès <[email-masked]>
Date: Mon, 09 Dec 2024 18:37:22 +0100

Hello,

Efraim Flashner <[email-masked]> skribis:

> I saw a post by Marcan¹ of Asahi Linux the other day about not parsing
> /proc/cpuinfo and remembered that's what we're doing in (guix cpu).

I believe it initially mimicked what GCC does for ‘-march=native’, but
it does seem to be less exhaustive than /sys/devices/cpu/modalias.

I wonder if there are version/portability issues with the latter.

Ludo’.